Functions
System Information
kvmlib

## Functions
kvmStatus | kvmKmfGetUsage (kvmHandle h, uint32 *totalSectorCount, uint32 *usedSectorCount)
kvmStatus | kvmDeviceDiskSize (kvmHandle h, uint32 *diskSize)
kvmStatus | kvmDeviceGetSerialNumber (kvmHandle h, unsigned int *serial)
kvmStatus | kvmDeviceGetSoftwareInfo (kvmHandle h, int32 itemCode, unsigned int *major, unsigned int *minor, unsigned int *build, unsigned int *flags)
kvmStatus | kvmDeviceFlashLeds (kvmHandle h)

## Detailed Description

## Function Documentation

## ◆ kvmDeviceDiskSize()

kvmStatus kvmDeviceDiskSize | ( | kvmHandle | h,
|  | uint32 * | diskSize
| ) |  |

Get disk size, reported in number of (512 byte) sectors.

Parameters

  [in] | h | An open kvmHandle.
  [out] | diskSize | Disk size in number of (512 byte) sectors.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

## ◆ kvmDeviceFlashLeds()

kvmStatus kvmDeviceFlashLeds | ( | kvmHandle | h | ) |

Flash all LEDs on the opened Memorator device

Parameters

  [in] | h | An open kvmHandle.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

## ◆ kvmDeviceGetSerialNumber()

kvmStatus kvmDeviceGetSerialNumber | ( | kvmHandle | h,
|  | unsigned int * | serial
| ) |  |

Get serial number related to the Memorator handle.

Parameters

  [in] | h | An open kvmHandle.
  [out] | serial | Serial number of connected device.

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

## ◆ kvmDeviceGetSoftwareInfo()

kvmStatus kvmDeviceGetSoftwareInfo | ( | kvmHandle | h,
|  | int32 | itemCode,
|  | unsigned int * | major,
|  | unsigned int * | minor,
|  | unsigned int * | build,
|  | unsigned int * | flags
| ) |  |

Get software version information.

Parameters

  [in] | h | An open kvmHandle.
  [in] | itemCode | An item code specifying the type of version to get. kvm_SWINFO_xxx
  [out] | major | Major version number
  [out] | minor | Minor version number
  [out] | build | Build number
  [out] | flags | For internal use only

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure

## ◆ kvmKmfGetUsage()

kvmStatus kvmKmfGetUsage | ( | kvmHandle | h,
|  | uint32 * | totalSectorCount,
|  | uint32 * | usedSectorCount
| ) |  |

Get disk usage statistics, reported in number of (512 byte) sectors.

Parameters

  [in] | h | An open kvmHandle.
  [out] | totalSectorCount | Total number of sectors devoted for logging
  [out] | usedSectorCount | Number of logging sectors used

Returns
  kvmOK (zero) if success
  kvmERR_xxx (negative) if failure